## Function `pick( array, indices, ... )`

Description:
  Returns a selection of elements from a given array.

  The output array consists of one element selected from the input array for each of the supplied index values. If a negative value is supplied for an index value, it is added to the input array length, so that -1 indicates the last element of the input array. If the input array is null, null is returned. If any of the index values is out of the range of the extent of the input array, an error results.

  Note: This documents the double-precision version of the routine. Corresponding routines exist for other data types (`float`, `long`, `int`, `short`, `byte`, `String`, `Object`).

Parameters:
  `array` (array of floating point)
    input array
  `indices` (integer, one or more)
    one or more index into the input array (may be negative to count back from the end)

Return Value (array of floating point):
  array giving the elements specified by `indices`

Examples:
  - `pick(array(10,11,12,13), 0, 3) = [10, 13]`
  - `pick(array(10,11,12,13), -1, -2, -3) = [13, 12, 11]`

Signature:
  `double[] pick(double[], int...)`